%define upstream_name    CPAN-Recent-Uploads
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Retrieves recentfiles from a CPAN mirror
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.560.0
BuildRequires: perl(YAML::Syck) >= 1.150.0
BuildArch:  noarch

%description
CPAN::Recent::Uploads provides a mechanism for obtaining a list of the
RECENT uploads to 'CPAN' as determined from the files produced by the
File::Rsync::Mirror::Recentfile manpage that exist in the 'authors/'
directory on 'CPAN'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.80.0-7pclos2017
- rebuild against updates

